# Copyright (c) 2015, InfluxFramework LLC
# License: MIT. See LICENSE
import influxframework
from influxframework.tests.utils import InfluxFrameworkTestCase

# test_records = influxframework.get_test_records('Error Log')


class TestErrorLog(InfluxFrameworkTestCase):
	def test_error_log(self):
		"""let's do an error log on error log?"""
		doc = influxframework.new_doc("Error Log")
		error = doc.log_error("This is an error")
		self.assertEqual(error.doctype, "Error Log")
